This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 734148 - Connection to a secured AS7 instance doesn't work
Connection to a secured AS7 instance doesn't work
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.1
Unspecified Unspecified
high Severity urgent (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-08-29 10:48 EDT by Jan Martiska
Modified: 2013-09-02 03:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2011-08-29 10:48:27 EDT
Description of problem:
Connection to an AS7 instance with username/password set for native management interface doesn't work

Version-Release number of selected component (if applicable):
Version: 4.1.0-SNAPSHOT
Build Number: a98c893
GWT Version: 2.0.4
SmartGWT Version: 2.4

How reproducible:
100%


Steps to Reproduce:
1. Discovery and import an AS7 standalone instance that is not secured yet
2. Secure the instance's native management interface:
2a: Add 'security-realm="PropertiesMgmtSecurityRealm"' argument to '<native-interface interface="management" port="9999"/>' tag in standalone/configuration/standalone.xml file (or whichever configuration file you want to use)
2b: Create a username/password pair in the appropriate properties file, by default standalone/configuration/mgmt-users.properties
3. In RHQ navigate to 'Inventory / Connection settings' of the AS7 instance
4. Input the appropriate username/password pair for connection 
5. Restart the AS7 instance so the security realm changes will take effect
  
Actual results:
AS7 instance remains red (unavailable) and RHQ cannot perform any operations on it

Expected results:
AS7 instance should be visible as "available" and operation execution should work (for example Shutdown operation)

Additional info:
Probably also applies to domain mode!
Comment 1 Charles Crouch 2011-08-29 17:49:57 EDT
This feature has not been fully implemented yet, spinder is working on it, so 
its not unexpected for this to fail. Needs to be added to release notes.
Comment 2 Libor Zoubek 2012-02-09 07:17:37 EST
verified on Version: 4.3.0-SNAPSHOT Build Number: b4761de
Comment 3 Heiko W. Rupp 2013-09-02 03:15:49 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.